Skip to main content
POST
Add team workspace

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

write

Grants write access

Path Parameters

team_token
string
required

Body

application/json

Associate a Workspace with a Team.

workspace_token
string
required

The Workspace token.

role
enum<string>
required

The Team's role in the Workspace: editor (Can Edit) or viewer (Can View).

Available options:
editor,
viewer

Response

TeamWorkspace model

workspace_token
string
required

The Workspace token.

Example:

"wrkspc_abcd1234"

name
string
required

The name of the Workspace.

Example:

"Acme Corp."

created_at
string
required

The date and time, in UTC, the Workspace was created. ISO 8601 Formatted.

Example:

"2023-08-04T00:00:00Z"

role
enum<string>
required

The Team's role in the Workspace: editor (Can Edit) or viewer (Can View).

Available options:
editor,
viewer
Example:

"editor"